Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network8.71.32.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
8.71.32.0
Broadcast address
8.71.47.255
First usable
8.71.32.1
Last usable
8.71.47.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 08472000 · Integer 138878976 to 138883071
Reverse DNS zones
32.71.8.in-addr.arpa
33.71.8.in-addr.arpa
34.71.8.in-addr.arpa
35.71.8.in-addr.arpa
36.71.8.in-addr.arpa
37.71.8.in-addr.arpa
38.71.8.in-addr.arpa
39.71.8.in-addr.arpa
40.71.8.in-addr.arpa
41.71.8.in-addr.arpa
42.71.8.in-addr.arpa
43.71.8.in-addr.arpa
44.71.8.in-addr.arpa
45.71.8.in-addr.arpa
46.71.8.in-addr.arpa
47.71.8.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001000.01000111.00100000.000000008.71.32.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network00001000.01000111.00100000.000000008.71.32.0
Broadcast00001000.01000111.00101111.111111118.71.47.255
Split into smaller subnets/27

8.71.32.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
18.71.32.0/278.71.32.1 to 8.71.32.308.71.32.3130
28.71.32.32/278.71.32.33 to 8.71.32.628.71.32.6330
38.71.32.64/278.71.32.65 to 8.71.32.948.71.32.9530
48.71.32.96/278.71.32.97 to 8.71.32.1268.71.32.12730
58.71.32.128/278.71.32.129 to 8.71.32.1588.71.32.15930
68.71.32.160/278.71.32.161 to 8.71.32.1908.71.32.19130
78.71.32.192/278.71.32.193 to 8.71.32.2228.71.32.22330
88.71.32.224/278.71.32.225 to 8.71.32.2548.71.32.25530
98.71.33.0/278.71.33.1 to 8.71.33.308.71.33.3130
108.71.33.32/278.71.33.33 to 8.71.33.628.71.33.6330
118.71.33.64/278.71.33.65 to 8.71.33.948.71.33.9530
128.71.33.96/278.71.33.97 to 8.71.33.1268.71.33.12730
138.71.33.128/278.71.33.129 to 8.71.33.1588.71.33.15930
148.71.33.160/278.71.33.161 to 8.71.33.1908.71.33.19130
158.71.33.192/278.71.33.193 to 8.71.33.2228.71.33.22330
168.71.33.224/278.71.33.225 to 8.71.33.2548.71.33.25530
178.71.34.0/278.71.34.1 to 8.71.34.308.71.34.3130
188.71.34.32/278.71.34.33 to 8.71.34.628.71.34.6330
198.71.34.64/278.71.34.65 to 8.71.34.948.71.34.9530
208.71.34.96/278.71.34.97 to 8.71.34.1268.71.34.12730
218.71.34.128/278.71.34.129 to 8.71.34.1588.71.34.15930
228.71.34.160/278.71.34.161 to 8.71.34.1908.71.34.19130
238.71.34.192/278.71.34.193 to 8.71.34.2228.71.34.22330
248.71.34.224/278.71.34.225 to 8.71.34.2548.71.34.25530
258.71.35.0/278.71.35.1 to 8.71.35.308.71.35.3130
268.71.35.32/278.71.35.33 to 8.71.35.628.71.35.6330
278.71.35.64/278.71.35.65 to 8.71.35.948.71.35.9530
288.71.35.96/278.71.35.97 to 8.71.35.1268.71.35.12730
298.71.35.128/278.71.35.129 to 8.71.35.1588.71.35.15930
308.71.35.160/278.71.35.161 to 8.71.35.1908.71.35.19130
318.71.35.192/278.71.35.193 to 8.71.35.2228.71.35.22330
328.71.35.224/278.71.35.225 to 8.71.35.2548.71.35.25530
338.71.36.0/278.71.36.1 to 8.71.36.308.71.36.3130
348.71.36.32/278.71.36.33 to 8.71.36.628.71.36.6330
358.71.36.64/278.71.36.65 to 8.71.36.948.71.36.9530
368.71.36.96/278.71.36.97 to 8.71.36.1268.71.36.12730
378.71.36.128/278.71.36.129 to 8.71.36.1588.71.36.15930
388.71.36.160/278.71.36.161 to 8.71.36.1908.71.36.19130
398.71.36.192/278.71.36.193 to 8.71.36.2228.71.36.22330
408.71.36.224/278.71.36.225 to 8.71.36.2548.71.36.25530
418.71.37.0/278.71.37.1 to 8.71.37.308.71.37.3130
428.71.37.32/278.71.37.33 to 8.71.37.628.71.37.6330
438.71.37.64/278.71.37.65 to 8.71.37.948.71.37.9530
448.71.37.96/278.71.37.97 to 8.71.37.1268.71.37.12730
458.71.37.128/278.71.37.129 to 8.71.37.1588.71.37.15930
468.71.37.160/278.71.37.161 to 8.71.37.1908.71.37.19130
478.71.37.192/278.71.37.193 to 8.71.37.2228.71.37.22330
488.71.37.224/278.71.37.225 to 8.71.37.2548.71.37.25530
498.71.38.0/278.71.38.1 to 8.71.38.308.71.38.3130
508.71.38.32/278.71.38.33 to 8.71.38.628.71.38.6330
518.71.38.64/278.71.38.65 to 8.71.38.948.71.38.9530
528.71.38.96/278.71.38.97 to 8.71.38.1268.71.38.12730
538.71.38.128/278.71.38.129 to 8.71.38.1588.71.38.15930
548.71.38.160/278.71.38.161 to 8.71.38.1908.71.38.19130
558.71.38.192/278.71.38.193 to 8.71.38.2228.71.38.22330
568.71.38.224/278.71.38.225 to 8.71.38.2548.71.38.25530
578.71.39.0/278.71.39.1 to 8.71.39.308.71.39.3130
588.71.39.32/278.71.39.33 to 8.71.39.628.71.39.6330
598.71.39.64/278.71.39.65 to 8.71.39.948.71.39.9530
608.71.39.96/278.71.39.97 to 8.71.39.1268.71.39.12730
618.71.39.128/278.71.39.129 to 8.71.39.1588.71.39.15930
628.71.39.160/278.71.39.161 to 8.71.39.1908.71.39.19130
638.71.39.192/278.71.39.193 to 8.71.39.2228.71.39.22330
648.71.39.224/278.71.39.225 to 8.71.39.2548.71.39.25530
658.71.40.0/278.71.40.1 to 8.71.40.308.71.40.3130
668.71.40.32/278.71.40.33 to 8.71.40.628.71.40.6330
678.71.40.64/278.71.40.65 to 8.71.40.948.71.40.9530
688.71.40.96/278.71.40.97 to 8.71.40.1268.71.40.12730
698.71.40.128/278.71.40.129 to 8.71.40.1588.71.40.15930
708.71.40.160/278.71.40.161 to 8.71.40.1908.71.40.19130
718.71.40.192/278.71.40.193 to 8.71.40.2228.71.40.22330
728.71.40.224/278.71.40.225 to 8.71.40.2548.71.40.25530
738.71.41.0/278.71.41.1 to 8.71.41.308.71.41.3130
748.71.41.32/278.71.41.33 to 8.71.41.628.71.41.6330
758.71.41.64/278.71.41.65 to 8.71.41.948.71.41.9530
768.71.41.96/278.71.41.97 to 8.71.41.1268.71.41.12730
778.71.41.128/278.71.41.129 to 8.71.41.1588.71.41.15930
788.71.41.160/278.71.41.161 to 8.71.41.1908.71.41.19130
798.71.41.192/278.71.41.193 to 8.71.41.2228.71.41.22330
808.71.41.224/278.71.41.225 to 8.71.41.2548.71.41.25530
818.71.42.0/278.71.42.1 to 8.71.42.308.71.42.3130
828.71.42.32/278.71.42.33 to 8.71.42.628.71.42.6330
838.71.42.64/278.71.42.65 to 8.71.42.948.71.42.9530
848.71.42.96/278.71.42.97 to 8.71.42.1268.71.42.12730
858.71.42.128/278.71.42.129 to 8.71.42.1588.71.42.15930
868.71.42.160/278.71.42.161 to 8.71.42.1908.71.42.19130
878.71.42.192/278.71.42.193 to 8.71.42.2228.71.42.22330
888.71.42.224/278.71.42.225 to 8.71.42.2548.71.42.25530
898.71.43.0/278.71.43.1 to 8.71.43.308.71.43.3130
908.71.43.32/278.71.43.33 to 8.71.43.628.71.43.6330
918.71.43.64/278.71.43.65 to 8.71.43.948.71.43.9530
928.71.43.96/278.71.43.97 to 8.71.43.1268.71.43.12730
938.71.43.128/278.71.43.129 to 8.71.43.1588.71.43.15930
948.71.43.160/278.71.43.161 to 8.71.43.1908.71.43.19130
958.71.43.192/278.71.43.193 to 8.71.43.2228.71.43.22330
968.71.43.224/278.71.43.225 to 8.71.43.2548.71.43.25530
978.71.44.0/278.71.44.1 to 8.71.44.308.71.44.3130
988.71.44.32/278.71.44.33 to 8.71.44.628.71.44.6330
998.71.44.64/278.71.44.65 to 8.71.44.948.71.44.9530
1008.71.44.96/278.71.44.97 to 8.71.44.1268.71.44.12730
1018.71.44.128/278.71.44.129 to 8.71.44.1588.71.44.15930
1028.71.44.160/278.71.44.161 to 8.71.44.1908.71.44.19130
1038.71.44.192/278.71.44.193 to 8.71.44.2228.71.44.22330
1048.71.44.224/278.71.44.225 to 8.71.44.2548.71.44.25530
1058.71.45.0/278.71.45.1 to 8.71.45.308.71.45.3130
1068.71.45.32/278.71.45.33 to 8.71.45.628.71.45.6330
1078.71.45.64/278.71.45.65 to 8.71.45.948.71.45.9530
1088.71.45.96/278.71.45.97 to 8.71.45.1268.71.45.12730
1098.71.45.128/278.71.45.129 to 8.71.45.1588.71.45.15930
1108.71.45.160/278.71.45.161 to 8.71.45.1908.71.45.19130
1118.71.45.192/278.71.45.193 to 8.71.45.2228.71.45.22330
1128.71.45.224/278.71.45.225 to 8.71.45.2548.71.45.25530
1138.71.46.0/278.71.46.1 to 8.71.46.308.71.46.3130
1148.71.46.32/278.71.46.33 to 8.71.46.628.71.46.6330
1158.71.46.64/278.71.46.65 to 8.71.46.948.71.46.9530
1168.71.46.96/278.71.46.97 to 8.71.46.1268.71.46.12730
1178.71.46.128/278.71.46.129 to 8.71.46.1588.71.46.15930
1188.71.46.160/278.71.46.161 to 8.71.46.1908.71.46.19130
1198.71.46.192/278.71.46.193 to 8.71.46.2228.71.46.22330
1208.71.46.224/278.71.46.225 to 8.71.46.2548.71.46.25530
1218.71.47.0/278.71.47.1 to 8.71.47.308.71.47.3130
1228.71.47.32/278.71.47.33 to 8.71.47.628.71.47.6330
1238.71.47.64/278.71.47.65 to 8.71.47.948.71.47.9530
1248.71.47.96/278.71.47.97 to 8.71.47.1268.71.47.12730
1258.71.47.128/278.71.47.129 to 8.71.47.1588.71.47.15930
1268.71.47.160/278.71.47.161 to 8.71.47.1908.71.47.19130
1278.71.47.192/278.71.47.193 to 8.71.47.2228.71.47.22330
1288.71.47.224/278.71.47.225 to 8.71.47.2548.71.47.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses